Index: trunk/import/norgis_alkis_pp/postcreate.de/views_exp_csv.sql
===================================================================
--- trunk/import/norgis_alkis_pp/postcreate.de/views_exp_csv.sql	(revision 397)
+++ trunk/import/norgis_alkis_pp/postcreate.de/views_exp_csv.sql	(revision 398)
@@ -21,4 +21,5 @@
 --             Der View "exp_csv_str" ist jetzt direkt als 4fach-UNION (2x2) codiert statt mit eingebettetem gespeicherten 2fach-Union.
 --             Hauptvorteil: Keine undurchsichtigen AbhÃ€ngigkeiten. Ist auch etwas schneller.
+--  2017-12-20 Suche (Sortierung) 'letzte Adresse' nach "beginnt" statt nach "gml_id"
 
 -- ToDo:
@@ -49,5 +50,5 @@
 -- Dies kann als "MittelstÃŒck" in den anderen Views eingefÃŒgt werden.
 
-   DROP VIEW if exists public.flst_an_strasse; -- wird nicht mehr verwendet
+   DROP VIEW if exists public.flst_an_strasse CASCADE; -- wird nicht mehr verwendet
 /*
 CREATE OR REPLACE VIEW public.flst_an_strasse
@@ -148,5 +149,5 @@
     ON p.gml_id = nn.benennt
   LEFT JOIN ax_anschrift a              -- nur die "letzte" Anschrift zur Person verwenden
-    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.gml_id DESC LIMIT 1)
+    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.beginnt DESC LIMIT 1)
   -- E n t s c h l ÃŒ s s e l n:
   LEFT JOIN alkis_wertearten wp         -- EntschlÃŒsseln "Person - Anrede"
@@ -231,5 +232,5 @@
     ON p.gml_id = nn.benennt
   LEFT JOIN ax_anschrift a               -- nur die "letzte" Anschrift zur Person verwenden
-    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.gml_id DESC LIMIT 1)
+    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.beginnt DESC LIMIT 1)
   -- E n t s c h l ÃŒ s s e l n:
   LEFT JOIN alkis_wertearten wp         -- EntschlÃŒsseln "Person - Anrede"
@@ -330,5 +331,5 @@
     ON p.gml_id = nn.benennt
   LEFT JOIN ax_anschrift a              -- nur die "letzte" Anschrift zur Person verwenden
-    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.gml_id DESC LIMIT 1)
+    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.beginnt DESC LIMIT 1)
   -- E n t s c h l ÃŒ s s e l n:
   LEFT JOIN alkis_wertearten wp         -- EntschlÃŒsseln "Person - Anrede"
@@ -420,5 +421,5 @@
     ON p.gml_id = nn.benennt
   LEFT JOIN ax_anschrift a              -- nur die "letzte" Anschrift zur Person verwenden
-    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.gml_id DESC LIMIT 1)
+    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.beginnt DESC LIMIT 1)
   -- E n t s c h l ÃŒ s s e l n:
   LEFT JOIN alkis_wertearten wp         -- EntschlÃŒsseln "Person - Anrede"
@@ -501,5 +502,5 @@
     ON p.gml_id = nn.benennt
   LEFT JOIN ax_anschrift a              -- nur die "letzte" Anschrift zur Person verwenden
-    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.gml_id DESC LIMIT 1)
+    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.beginnt DESC LIMIT 1)
   -- E n t s c h l ÃŒ s s e l n:
   LEFT JOIN alkis_wertearten wp         -- EntschlÃŒsseln "Person - Anrede"
@@ -591,5 +592,5 @@
     ON p.gml_id = nn.benennt
   LEFT JOIN ax_anschrift a              -- nur die "letzte" Anschrift zur Person verwenden
-    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.gml_id DESC LIMIT 1)
+    ON a.gml_id = (SELECT gml_id FROM ax_anschrift an WHERE an.gml_id = ANY(p.hat) AND an.endet IS NULL ORDER BY an.beginnt DESC LIMIT 1)
   -- E n t s c h l ÃŒ s s e l n:
   LEFT JOIN alkis_wertearten wp         -- EntschlÃŒsseln "Person - Anrede"
